Add  macro for detecting compute provider

08/13/2017 04:58 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1302994 Red Hat JIRA:  

Pull request:    

Description

Provisioning templates should enable detecting provider (compute resource type) a host is being provisioned on in order to enable

platform detection and conditional installation of support software.

Templates can either provide a macro that returns provider name (eg. libvirt, vmware, baremetal...) or enable method 'provider' on

compute resource objects in Jail.

History

#1 - 08/13/2017 04:59 PM - Tomáš Strachota

- Subject changed from Add  macro for detecting compute provider

 to Add  macro for detecting compute provider

- Category changed from TFTP to Templates

- Target version set to 115

#2 - 10/01/2021 07:47 PM - Dominik Matoulek

- Status changed from New to Closed

- Triaged set to No

Closing this issue because there is a provider method at Host::Managed that fits to this issue perfectly. This class contains that method since

existence of class (https://github.com/theforeman/foreman/blob/d7611b242760bffdd801a63dd4d3e63533ccfa52/app/models/host/managed.rb#L55).
